1. Incidents
api-security
  • Security-Api
    • Roles
      • Index
      • Create
      • Show
      • Update
      • Delete
    • Devices
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Security Event
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Alerts
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incidents
      • Index
        GET
      • Show
        GET
      • Create
        POST
      • Update
        PUT
      • Delete
        DELETE
    • Incident Comments
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Auth
      • Login
      • Logout
      • Me
    • Dashboard
      • Index
    • Notifications
      • Index
      • Unread
      • Mark As Read
  1. Incidents

Update

Developing
PUT
http://127.0.0.1:8000/api/incidents/3
Updates the information of an existing incident by its ID.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success Update
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'http://127.0.0.1:8000/api/incidents/3' \
--header 'Accept: application/json' \
--header 'Authorization: Baerer {token}' \
--header 'Content-Type: application/json' \
--data '{
  "status": "in_progress",
  "started_at": "2026-06-17 10:08:00",
  "closed_at": "2026-06-22 08:30:00"
}'
Response Response Example
{
    "message": "Incident updated successfully",
    "data": {
        "id": 4,
        "alert": "Suspicious privilege escalation activity was detected and requires investigation.",
        "assigned_to": "analyst",
        "title": "Privilege Escalation Investigation",
        "severity": "high",
        "status": "in_progress",
        "started_at": "2026-06-17 10:08:00",
        "closed_at": "2026-06-22 08:30:00"
    }
}
Modified at 2026-06-22 12:32:26
Previous
Create
Next
Delete
Built with